Gtk2::ActionGroup(3)

NAME
Gtk2::ActionGroup

  NOTE: Translation
In C, gtk+'s action groups can use the translation domain to ensure that action labels and tooltips are translated along with the rest of the app. However, the translation function was not available for calling by the Perl bindings until gtk+ 2.6; that is, setting the translation domain had no effect. Translation of action groups is supported in Perl as of Gtk2 1.080 using gtk+ 2.6.0 or later.

HIERARCHY
  Glib::Object
  +----Gtk2::ActionGroup

INTERFACES
  Gtk2::Buildable

METHODS

  actiongroup = Gtk2::ActionGroup->new ($name)

* $name (string)

  action = $action_group->get_action ($action_name)
* $action_name (string)

  $action_group->add_action ($action)

* $action (Gtk2::Action)

  $action_group->add_action_with_accel ($action, $accelerator)
* $action (Gtk2::Action)
* $accelerator (string or undef)

  $action_group->add_actions ($action_entries, $user_data=undef)

* $action_entries (scalar)
* $user_data (scalar)

  $action_group->add_radio_actions ($radio_action_entries, $value, $on_change, $user_data=undef)

* $radio_action_entries (scalar)
* $value (integer)
* $on_change (scalar)
* $user_data (scalar)

  $action_group->add_toggle_actions ($toggle_action_entries, $user_data=undef)

* $toggle_action_entries (scalar)
* $user_data (scalar)

  list = $action_group->list_actions

  string = $action_group->get_name

  $action_group->remove_action ($action)

* $action (Gtk2::Action)

  boolean = $action_group->get_sensitive

  $action_group->set_sensitive ($sensitive)
* $sensitive (boolean)

  $action_group->set_translate_func ($func, $data=undef)

* $func (scalar)
* $data (scalar)

Since: gtk+ 2.6

  string = $action_group->translate_string ($string)

* $string (string)

Since: gtk+ 2.6

  $action_group->set_translation_domain ($domain)

* $domain (string)

  boolean = $action_group->get_visible

  $action_group->set_visible ($sensitive)
* $sensitive (boolean)

PROPERTIES

'name' (string : readable / writable / construct-only / private)
    A name for the action group.

'sensitive' (boolean : readable / writable / private)
    Whether the action group is enabled.

'visible' (boolean : readable / writable / private)
    Whether the action group is visible.

SIGNALS

connect-proxy (Gtk2::ActionGroup, Gtk2::Action, Gtk2::Widget)
disconnect-proxy (Gtk2::ActionGroup, Gtk2::Action, Gtk2::Widget)
pre-activate (Gtk2::ActionGroup, Gtk2::Action)
post-activate (Gtk2::ActionGroup, Gtk2::Action)

SEE ALSO
Gtk2, Glib::Object

COPYRIGHT
Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.